Ubuntu

Tracking bug for Firefox 9 transition in Lucid/Maverick

Reported by Micah Gersten on 2011-12-15
36
This bug affects 2 people
Affects Status Importance Assigned to Milestone
adblock-plus (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Micah Gersten
Maverick
Medium
Micah Gersten
all-in-one-sidebar (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
downloadstatusbar (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firebug (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firefox (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned
Maverick
Medium
Micah Gersten
flashblock (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
flashgot (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
gecko-mediaplayer (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
greasemonkey (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
language-pack-en-base (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Martin Pitt
Maverick
Medium
Unassigned
moon (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
mozilla-devscripts (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Micah Gersten
Maverick
Medium
Micah Gersten
mozvoikko (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
pwdhash (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
ubufox (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Micah Gersten
Maverick
Undecided
Unassigned
ubuntu-it-menu (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
webdeveloper (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
webfav (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
yasm-1 (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This is the bug to track Firefox 9 and friends and the transition to Firefox rapid release in Lucid and Maverick.

Regression of not building on ia64/sparc being tracked in Bug #906175
Regression with kubuntu-firefox-installer tracked in bug 907666
Regression for firefox-branding upgrade without firefox tracked in bug 917529
Regression for migrating addons to be in-profile tracked in Bug #918052

NOTE TO SRU TEAM: Do not copy without explicit approval from micahg.

Micah Gersten (micahg) on 2011-12-15
Changed in firefox (Ubuntu Lucid):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in firefox (Ubuntu Maverick):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: New → In Progress
Changed in mozilla-devscripts (Ubuntu Lucid):
importance: Undecided → Medium
status: New → In Progress
Changed in mozilla-devscripts (Ubuntu Maverick):
importance: Undecided → Medium
status: New → In Progress
Changed in mozilla-devscripts (Ubuntu Lucid):
assignee: nobody → Micah Gersten (micahg)
Changed in mozilla-devscripts (Ubuntu Maverick):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) on 2011-12-15
Changed in mozilla-devscripts (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in mozilla-devscripts (Ubuntu):
status: New → Invalid
description: updated
Martin Pitt (pitti) wrote :

Adding a langpack task to keep track of the updates. I have prepared new lucid/maverick langpacks which drop the firefox translations and instead add a Recommends: firefox-locale-XX, just as we have in natty to precise now.

Changed in language-pack-en-base (Ubuntu):
status: New → Invalid
Changed in language-pack-en-base (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: New → In Progress
Changed in language-pack-en-base (Ubuntu Maverick):
status: New → In Progress
importance: Undecided → Medium
Micah Gersten (micahg) on 2011-12-20
Changed in firefox (Ubuntu Lucid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

langpacks uploaded to lucid/maverick-proposed. lucid is done building, maverick should finish in about 1.5 hours.

Changed in language-pack-en-base (Ubuntu Lucid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Firefox 9.0 was copied to lucid/maverick-proposed yesterday. Please test.

Changed in language-pack-en-base (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in firefox (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Micah Gersten (micahg) on 2011-12-22
description: updated
madbiologist (me-again) wrote :

I've upgraded to Firefox 9.0.1+build1-0ubuntu0.10.04.1 from lucid-proposed. Bug 744580 and bug 758111 still exist.

According to comment #6 in bug 758111 the fix only applies to a new profile, so perhaps bug 758111 should be removed from the "changelog bugs" column at http://people.canonical.com/~ubuntu-archive/pending-sru.html ?

I'm also now getting something similar to bug 888307 - ubufox 0.9~rc2-0ubuntu2.1 is disabled, with a message stating it is incompatible with Firefox 9.0.1. Upgrading to ubufox and xul-ext-ubufox 0.9.3-0ubuntu0.10.04.1~mfn2 from the "Official PPA for Firefox Beta" (owned by Mozilla Team) seems to have fixed this, but of course this workaround is not suitable for many end-users.

Chris Coulson (chrisccoulson) wrote :

There has been a compatible version of ubufox for Lucid for several months already. I'm not sure why it's not in the archive yet, but Firefox shouldn't really have been copied to proposed without that

Micah Gersten (micahg) on 2012-01-05
Changed in ubufox (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2012-01-05
Changed in mozilla-devscripts (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in ubufox (Ubuntu Lucid):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: New → Fix Committed
madbiologist (me-again) wrote :

I've purged the PPA I mentioned in comment #4 and installed ubufox 0.9.3-0ubuntu0.10.04.1 from lucid-proposed. Ubufox is now enabled and working with Firefox 9.0.1+build1-0ubuntu0.10.04.1 from lucid-proposed.

Bug 744580 and bug 758111 still exist.

According to comment #6 in bug 758111 the fix only applies to a new profile, so perhaps bug 758111 should be removed from the "changelog bugs" column at http://people.canonical.com/~ubuntu-archive/pending-sru.html ?

Micah Gersten (micahg) on 2012-01-09
Changed in adblock-plus (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2012-01-09
Changed in all-in-one-sidebar (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2012-01-09
Changed in adblock-plus (Ubuntu Lucid):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Micah Gersten (micahg)
Changed in adblock-plus (Ubuntu Maverick):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) on 2012-01-09
Changed in downloadstatusbar (Ubuntu):
status: New → Invalid
Changed in firebug (Ubuntu):
status: New → Invalid
Changed in flashblock (Ubuntu):
status: New → Invalid
Changed in flashgot (Ubuntu):
status: New → Invalid
Changed in gecko-mediaplayer (Ubuntu):
status: New → Invalid
Changed in greasemonkey (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2012-01-12
Changed in moon (Ubuntu):
status: New → Invalid
description: updated
Changed in webdeveloper (Ubuntu):
status: New → Invalid
Timo Jyrinki (timo-jyrinki) wrote :

Bug #915895 also affects lucid upgraders, ie. mozvoikko extension is disabled by default.

For people upgrading their lucid there is a warning popup but the default is disabled. For new installers (or new users) the extension is simply disabled with no user feedback except that there is no spell-checking. Since this is a regression from the current working-by-default lucid setup, mentioning it here.

Bartosz Kosiorek (gang65) wrote :

I upgraded firefox-branding and firefox-gnome-support without firefox package for Lucid.
It brokes firefox installation. Now I can't run firefox.

I think it should be not possible to install firefox-branding and firefox-gnome-support without firefox package

Bartosz Kosiorek (gang65) wrote :

Does it means that verification was failed?

Mike Berkley (mike-berkley) wrote :

I'm having trouble opening links from Thunderbird in Firefox 9.0.1, and discovered that the problem is with Firefox.

Consider the following command:

    firefox http://www.ubuntu.com

If Firefox is already running, this should open the web site in a new tab or window. With 9.0.1, it opens the ProfileManager (I have multiple profiles). If I force a particular profile (with "-P default"), it tells me that "Firefox is already running."

I did an ssh into another machine, and started firefox-3.6.24 with "-no-remote". Now I have two Firefox sessions running, v9.0.1 on my workstation and v3.6.24 on a remote machine. Then, when I run "firefox http://www.ubuntu.com" in an xterm on my workstation. Lo and behold, www.ubuntu.com is opened on the remote Firefox v3.6.24, NOT on the local Firefox v9.0.1, which was actually started first.

Any ideas how to fix this? I cannot roll out v9.0.1 to all my Thunderbird users until this issue is resolved...

Micah Gersten (micahg) on 2012-01-17
description: updated
Micah Gersten (micahg) wrote :

discussion for comment #10 in Bug #917533

Micah Gersten (micahg) on 2012-01-17
Changed in mozvoikko (Ubuntu):
status: New → Invalid
Micah Gersten (micahg) on 2012-01-18
description: updated
Micah Gersten (micahg) on 2012-01-18
description: updated
Micah Gersten (micahg) wrote :

Tested firefox/ubufox with QRT on lucid/maverick i386/amd64. The addons I tested to make sure they install in the profile and upgrade appropriately. Mozvoikko I tested to see if I get Finnish suggestions for the mis-spelled words. I did not test gecko-mediaplayer or moon. webfav failed to work on maverick amd64, but it might have been a fluke. webfav is still worth releasing as the other archs on maverick will be broken without the newer version.

Changed in ubuntu-it-menu (Ubuntu):
status: New → Invalid
Changed in pwdhash (Ubuntu):
status: New → Invalid
Changed in webfav (Ubuntu):
status: New → Invalid
tags: added: verification-done verification-needed-gecko-mediaplayer verification-needed-moon
removed: verification-needed
Micah Gersten (micahg) wrote :

For anyone watching this bug, moon and gecko-mediaplayer still need verification on both lucid and maverick to migrate out of -proposed, just comment here once it's tested and which release and I'll have it migrated.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package adblock-plus - 1.2.2-3ubuntu0.10.10.1

---------------
adblock-plus (1.2.2-3ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon
    installer, to transition adblock to a local user extension. Build-depend
    on a new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 10:30:02 +0100

Changed in adblock-plus (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package all-in-one-sidebar - 0.7.11-1ubuntu0.10.10.1

---------------
all-in-one-sidebar (0.7.11-1ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon
    installer, to transition adblock to a local user extension. Build-depend
    on a new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 10:34:53 +0100

Changed in all-in-one-sidebar (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package downloadstatusbar - 0.9.6.7-1ubuntu0.10.10.1

---------------
downloadstatusbar (0.9.6.7-1ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition downloadstatusbar to a local user extension. Build-depend on a
    new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 10:39:19 +0100

Changed in downloadstatusbar (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firebug - 1.5.4-2ubuntu0.10.10.1

---------------
firebug (1.5.4-2ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition firebug to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 10:43:16 +0100

Changed in firebug (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (18.4 KiB)

This bug was fixed in the package firefox - 9.0.1+build1-0ubuntu0.10.10.2

---------------
firefox (9.0.1+build1-0ubuntu0.10.10.2) maverick-proposed; urgency=low

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #907666 - readd missing kubuntu-firefox-installer Replaces
    - update debian/control

  [ Micah Gersten <email address hidden> ]
  * Fix LP: #917529 - Make sure new transitional packages have a versioned
    dependency on Firefox so as to not break Firefox during partial upgrades
    - update debian/control{,.in}

firefox (9.0.1+build1-0ubuntu0.10.10.1) maverick-proposed; urgency=low

  * New upstream stable release (FIREFOX_9_0_1_BUILD1) (LP: #904594)

firefox (9.0+build1-0ubuntu0.10.10.1) maverick-proposed; urgency=low

  * New upstream stable release (FIREFOX_9_0_BUILD1)

  [ Chris Coulson <email address hidden> ]
  * Install the Apport hook as a source package hook
    - rename debian/apport/firefox.py.in => debian/apport/source_firefox.py.in
    - update debian/firefox.install.in
    - update debian/rules
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_firefox.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_firefox.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/firefox-dev.links.in
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Modify the UA string to add "Ubuntu" to the platform component
    - add debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/series
    - update debian/rules
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - update debian/rules
    - move debian/testsuite.mk to debian/build/testsuite.mk
  * Dropped patches that are obsolete or fixed upstream:
    - remove debian/patches/lp512615_cairo_lcd_filter.patch
    - remove debian/patches/lp185622_system_path_default_browser.patch
    - remove debian/patches/bz386904_config_rules_install_dist_files.patch
    - remove debian/patches/bz532198_lp488354_ns_invokebyindex_not_thumb2_safe.patch
    - remove debian/patches/bzXXX_libxul_sdk_nspr.patch
    - remove debian/patches/drop_bz418016.patch
    - remove debian/patches/firefox-fsh
    - remove debian/patches/firefox-profilename
    - remove debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debia...

Changed in firefox (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashblock - 1.5.13-1ubuntu0.10.10.1

---------------
flashblock (1.5.13-1ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition flashblock to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 11:16:13 +0100

Changed in flashblock (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashgot - 1.2+dfsg-2ubuntu1.10.10.1

---------------
flashgot (1.2+dfsg-2ubuntu1.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition flashgot to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 11:21:32 +0100

Changed in flashgot (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package greasemonkey - 0.8.20100408.6-2ubuntu0.10.10.1

---------------
greasemonkey (0.8.20100408.6-2ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition greasemonkey to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 11:29:19 +0100

Changed in greasemonkey (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozilla-devscripts - 0.24ubuntu0.10.10.1

---------------
mozilla-devscripts (0.24ubuntu0.10.10.1) maverick-security; urgency=low

  * Update to support newer version of Firefox (LP: #904594)
  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mki
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack
 -- Chris Coulson <email address hidden> Thu, 15 Dec 2011 01:17:02 -0600

Changed in mozilla-devscripts (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu0.10.10.1

---------------
mozvoikko (1.10.0-0ubuntu0.10.10.1) maverick-proposed; urgency=low

  * Update for Firefox 9 (LP: #904594)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes
  * Update to 1.10.0
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules
  * Convert to source format 3.0 (quilt), drop quilt build dependency
    - add debian/source/format
    - update debian/control
  * Convert to dh7 and use mozilla-devscripts
    - update debian/compat
    - update debian/rules
    - update debian/control
    - remove debian/dirs
  * Drop unnecessary patches:
    - remove debian/patches/fix_freebsd_ftbfs.patch
    - remove debian/patches/fix_min_max_versions.patch
    - update debian/patches/series
  * The mozvoikko source has 2 build systems - one to allow building in a fully
    built Firefox source tree, and the other one just using the Mozilla SDK.
    The latter is totally broken in the current version though, so we hack
    it to work in order to avoid having to do the in-tree build
    - add debian/patches/fix_sdk_build.patch
    - update debian/patches/series
  * Rename debian/patches/port_to_xulrunner-192.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 12:46:22 +0100

Changed in mozvoikko (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pwdhash - 1.7-8ubuntu0.10.10.1

---------------
pwdhash (1.7-8ubuntu0.10.10.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition pwdhash to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 17:41:33 +0100

Changed in pwdhash (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package ubufox - 0.9.3-0ubuntu0.10.10.3

---------------
ubufox (0.9.3-0ubuntu0.10.10.3) maverick-security; urgency=low

  * Fix LP: #918052 - Error migrating extensions to be in-profile
    - Migrate the addon to a profile addon even if there is a system-wide
      addon with the same version. It seems this got broken during some recent
      refactoring.
    - For newly installed addons, display the new addon tab, otherwise the
      addon stays disabled

ubufox (0.9.3-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release.
    - Support Firefox 9 and 10 (LP: #904594)
  * New upstream release v0.9.2
    - Bump maxVersion to 8.*
  * New upstream release v0.9.1
    - Rename AboutHome to AboutStartpage, and have it handle about:startpage now
      (to not conflict with the new about:home handler in Firefox)
    - Set default home page to about:startpage
    - Add support for the XPCOM changes in Gecko 2.0
    - In the restart notifier, don't hardcode a list of filenames for different
      browser versions, but just use MOZ_APP_LAUNCHER instead. This will
      indirectly fix LP: #511250 and should prevent it from happening again
    - Merge the plugin finder code from Firefox 4. This now uses AddonManager,
      so the MinVersion needs to be bumped
    - Drop the FF2.0 specific code
    - Drop the AddonsOverlay and associated code, this hasn't worked for
      several releases since we started using software-center, and nobody
      really noticed so far. We can reimplement this at a later date if wanted,
      but it throws JS exceptions when loading in FF4.0 now
    - Specify for the extension to be unpacked by the installer. Without this,
      the prefs aren't used
    - Get the distributionID field for the pfs URL from the preferences, rather
      than hard-coding a value
    - Fix LP: #579091 - ubufox interferes with toolbar buttons for other add-ons
      Don't initialize or assign any value to gBrowser in alternatePlugins.js.
      It runs in the context of browser.xul, so gBrowser will always exist
      once the browser window has loaded
    - Fix LP: #333799 - set a default dictionary language
    - Don't duplicate preferences that we're already setting in Firefox
    - Update Japanese(ja) translations (LP: #746538)
    - Fix LP: #750305 - Don't hard-code links and configs for each release.
      Rather than doing this manually for every release, we add a dist.js with
      distro information (populated at build time with lsb_release) and just
      do all this automatically.
    - Fix LP: #752364 - Plugin Finder Service never finds anything. Use the
      release info in dist.js to construct the URL, now that this got dropped
      from Firefox
    - Fix LP: #728826 - Update icons to new versions.
    - Drop the pluginGlue.js module. This didn't work, as we can no longer
      use a modules registerSelf method to use nsICategoryManager at startup,
      due to the XPCOM registration changes in Firefox 4. Instead, add
      category entries with the chrome.manifest
    - Fix LP: #709125 - User agent doesn't include Ubuntu in it so
      apt.ubuntu.com doesn't work. We add an extra X-Ub...

Read more...

Changed in ubufox (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-it-menu - 1.0.8.1-0ubuntu3.1

---------------
ubuntu-it-menu (1.0.8.1-0ubuntu3.1) maverick-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition ubuntu-it-menu to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 17:45:42 +0100

Changed in ubuntu-it-menu (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webdeveloper - 1.1.8-5ubuntu0.1

---------------
webdeveloper (1.1.8-5ubuntu0.1) maverick; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition webdeveloper to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 18:13:06 +0100

Changed in webdeveloper (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webfav - 1.17-0ubuntu4.1

---------------
webfav (1.17-0ubuntu4.1) maverick-proposed; urgency=low

  * Bump maxVersion to 9.* (LP: #904594)
 -- Chris Coulson <email address hidden> Tue, 10 Jan 2012 18:20:58 +0100

Changed in webfav (Ubuntu Maverick):
status: New → Fix Released
Micah Gersten (micahg) on 2012-01-26
Changed in yasm-1 (Ubuntu):
status: New → Invalid
Changed in yasm-1 (Ubuntu Maverick):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package adblock-plus - 1.1.3-1ubuntu0.10.04.1

---------------
adblock-plus (1.1.3-1ubuntu0.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon
    installer, to transition adblock to a local user extension. Build-depend
    on a new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 06:52:41 +0100

Changed in adblock-plus (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package all-in-one-sidebar - 0.7.11-1ubuntu0.10.04.1

---------------
all-in-one-sidebar (0.7.11-1ubuntu0.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon
    installer, to transition adblock to a local user extension. Build-depend
    on a new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 06:58:25 +0100

Changed in all-in-one-sidebar (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package downloadstatusbar - 0.9.6.6-1ubuntu0.10.04.1

---------------
downloadstatusbar (0.9.6.6-1ubuntu0.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition downloadstatusbar to a local user extension; Build-depend on a
    new enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 10:11:35 +0100

Changed in downloadstatusbar (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firebug - 1.5.0-2ubuntu2.10.04.1

---------------
firebug (1.5.0-2ubuntu2.10.04.1) lucid; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition firebug to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
  * Drop updateURL and updateKey from the install manifest. Firefox won't
    update from an insecure URL, so we just fall back to addons.mozilla.org
    - update install.rdf
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 16:06:49 +0100

Changed in firebug (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (18.2 KiB)

This bug was fixed in the package firefox - 9.0.1+build1-0ubuntu0.10.04.2

---------------
firefox (9.0.1+build1-0ubuntu0.10.04.2) lucid-proposed; urgency=low

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #907666 - readd missing kubuntu-firefox-installer Replaces
    - update debian/control

  [ Micah Gersten <email address hidden> ]
  * Fix LP: #917529 - Make sure new transitional packages have a versioned
    dependency on Firefox so as to not break Firefox during partial upgrades
    - update debian/control{,.in}

firefox (9.0.1+build1-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * New upstream stable release (FIREFOX_9_0_1_BUILD1) (LP: #904594)

firefox (9.0+build1-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * New upstream stable release (FIREFOX_9_0_BUILD1)

  [ Chris Coulson <email address hidden> ]
  * Install the Apport hook as a source package hook
    - rename debian/apport/firefox.py.in => debian/apport/source_firefox.py.in
    - update debian/firefox.install.in
    - update debian/rules
  * Don't unconditionally overwrite SourcePackage when reporting bugs with
    the nightly apport hook
    - update debian/apport/source_firefox.py.in
  * Set "Channel = Unavailable" if channel-prefs.js doesn't contain a
    channel name
    - update debian/apport/source_firefox.py.in
  * Ensure that create-tarball can handle there not being a locale blacklist
    - update debian/build/create-tarball.py
  * Drop xpt.py and xpidl from $LIBDIR. xpidl is gone, and xpt.py isn't included
    there in the upstream SDK
    - update debian/firefox-dev.links.in
  * Fix LP: #901838 - Ugly busy pointer, due to libxcursor no longer matching
    the cursor bitmap to a nice themed pointer
    - add debian/patches/fix-cursor-handling.patch
    - update debian/patches/series
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Modify the UA string to add "Ubuntu" to the platform component
    - add debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/series
    - update debian/rules
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - update debian/rules
    - move debian/testsuite.mk to debian/build/testsuite.mk
  * Dropped patches that are obsolete or fixed upstream:
    - remove debian/patches/lp512615_cairo_lcd_filter.patch
    - remove debian/patches/lp185622_system_path_default_browser.patch
    - remove debian/patches/bz386904_config_rules_install_dist_files.patch
    - remove debian/patches/bz532198_lp488354_ns_invokebyindex_not_thumb2_safe.patch
    - remove debian/patches/bzXXX_libxul_sdk_nspr.patch
    - remove debian/patches/drop_bz418016.patch
    - remove debian/patches/firefox-fsh
    - remove debian/patches/firefox-profilename
    - remove debian/patches/ubuntu_no_app_updates.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches...

Changed in firefox (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashblock - 1.5.12-1ubuntu0.10.04.1

---------------
flashblock (1.5.12-1ubuntu0.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition flashblock to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 16:11:54 +0100

Changed in flashblock (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flashgot - 1.2+dfsg-2ubuntu0.10.04.1

---------------
flashgot (1.2+dfsg-2ubuntu0.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition flashgot to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Thu, 02 Jun 2011 22:33:44 +0100

Changed in flashgot (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package greasemonkey - 0.8.20100211.5-1ubuntu2.10.04.1

---------------
greasemonkey (0.8.20100211.5-1ubuntu2.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition greasemonkey to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 10:18:51 +0100

Changed in greasemonkey (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozilla-devscripts - 0.22ubuntu0.10.04.2

---------------
mozilla-devscripts (0.22ubuntu0.10.04.2) lucid-security; urgency=low

  * Update to support newer version of Firefox (LP: #904594)
  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mk
  * Switch from python-rdflib to python-librdf rather than porting the above
    changes to python-rdflib; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi
    - update debian/control
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack
 -- Chris Coulson <email address hidden> Thu, 15 Dec 2011 00:28:39 -0600

Changed in mozilla-devscripts (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu0.10.04.1

---------------
mozvoikko (1.10.0-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * Update for Firefox 9 (LP: #904594)
    - update debian/patches/port_to_latest_firefox.patch for
      mozISpellCheckingEngine changes

  * Update to 1.10.0
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules
  * Convert to dh7 and use mozilla-devscripts
    - update debian/compat
    - update debian/rules
    - update debian/control
    - remove debian/dirs
  * Drop unnecessary patches:
    - remove debian/patches/fix_freebsd_ftbfs.patch
    - remove debian/patches/fix_min_max_versions.patch
    - update debian/patches/series
  * The mozvoikko source has 2 build systems - one to allow building in a fully
    built Firefox source tree, and the other one just using the Mozilla SDK.
    The latter is totally broken in the current version though, so we hack
    it to work in order to avoid having to do the in-tree build
    - add debian/patches/fix_sdk_build.patch
    - update debian/patches/series
  * Rename debian/patches/port_to_xulrunner-192.patch =>
     debian/patches/port_to_latest_firefox.patch
  * Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
    now, due to the changes in nsID::Equals()
    - update debian/patches/port_to_latest_firefox.patch
  * Build with -std=gnu++0x on Natty and newer
    - update debian/rules
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 15:54:56 +0100

Changed in mozvoikko (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pwdhash - 1.7-7ubuntu1.10.04.1

---------------
pwdhash (1.7-7ubuntu1.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition pwdhash to a local user extension. Build-depend on a new enough
    mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 10:38:27 +0100

Changed in pwdhash (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package ubufox - 0.9.3-0ubuntu0.10.04.3

---------------
ubufox (0.9.3-0ubuntu0.10.04.3) lucid-security; urgency=low

  * Fix LP: #918052 - Error migrating extensions to be in-profile
    - Migrate the addon to a profile addon even if there is a system-wide
      addon with the same version. It seems this got broken during some recent
      refactoring.
    - For newly installed addons, display the new addon tab, otherwise the
      addon stays disabled

ubufox (0.9.3-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v0.9.3
    - Support Firefox 9 and 10 (LP: #904594)
  * New upstream release v0.9.2
    - Bump maxVersion to 8.*
  * New upstream release v0.9.1
    - Rename AboutHome to AboutStartpage, and have it handle about:startpage now
      (to not conflict with the new about:home handler in Firefox)
    - Set default home page to about:startpage
    - Add support for the XPCOM changes in Gecko 2.0
    - In the restart notifier, don't hardcode a list of filenames for different
      browser versions, but just use MOZ_APP_LAUNCHER instead. This will
      indirectly fix LP: #511250 and should prevent it from happening again
    - Merge the plugin finder code from Firefox 4. This now uses AddonManager,
      so the MinVersion needs to be bumped
    - Drop the FF2.0 specific code
    - Drop the AddonsOverlay and associated code, this hasn't worked for
      several releases since we started using software-center, and nobody
      really noticed so far. We can reimplement this at a later date if wanted,
      but it throws JS exceptions when loading in FF4.0 now
    - Specify for the extension to be unpacked by the installer. Without this,
      the prefs aren't used
    - Get the distributionID field for the pfs URL from the preferences, rather
      than hard-coding a value
    - Fix LP: #579091 - ubufox interferes with toolbar buttons for other add-ons
      Don't initialize or assign any value to gBrowser in alternatePlugins.js.
      It runs in the context of browser.xul, so gBrowser will always exist
      once the browser window has loaded
    - Fix LP: #333799 - set a default dictionary language
    - Don't duplicate preferences that we're already setting in Firefox
    - Update Japanese(ja) translations (LP: #746538)
    - Fix LP: #750305 - Don't hard-code links and configs for each release.
      Rather than doing this manually for every release, we add a dist.js with
      distro information (populated at build time with lsb_release) and just
      do all this automatically.
    - Fix LP: #752364 - Plugin Finder Service never finds anything. Use the
      release info in dist.js to construct the URL, now that this got dropped
      from Firefox
    - Fix LP: #728826 - Update icons to new versions.
    - Drop the pluginGlue.js module. This didn't work, as we can no longer
      use a modules registerSelf method to use nsICategoryManager at startup,
      due to the XPCOM registration changes in Firefox 4. Instead, add
      category entries with the chrome.manifest
    - Fix LP: #709125 - User agent doesn't include Ubuntu in it so
      apt.ubuntu.com doesn't work. We add an extra X-Ub...

Read more...

Changed in ubufox (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-it-menu - 1.0.8.1-0ubuntu2.10.04.1

---------------
ubuntu-it-menu (1.0.8.1-0ubuntu2.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition ubuntu-it-menu to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 16:36:01 +0100

Changed in ubuntu-it-menu (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webdeveloper - 1.1.8-4ubuntu2.10.04.1

---------------
webdeveloper (1.1.8-4ubuntu2.10.04.1) lucid-security; urgency=low

  * Install a copy of the xpi to be picked up by the Ubufox addon installer, to
    transition webdeveloper to a local user extension. Build-depend on a new
    enough mozilla-devscripts and also depend on ubufox (LP: #904594)
    - update debian/rules
    - update debian/control
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 12:06:32 +0100

Changed in webdeveloper (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webfav - 1.17-0ubuntu3.1

---------------
webfav (1.17-0ubuntu3.1) lucid-proposed; urgency=low

  * Bump maxVersion to 9.* (LP: #904594)
 -- Chris Coulson <email address hidden> Mon, 09 Jan 2012 12:26:41 +0100

Changed in webfav (Ubuntu Lucid):
status: New → Fix Released
Martin Pitt (pitti) wrote :

published now, releasing langpacks for lucid/maverick.

Changed in language-pack-en-base (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in language-pack-en-base (Ubuntu Maverick):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

yasm-1 is in lucid-updates now

Changed in yasm-1 (Ubuntu Lucid):
status: New → Fix Released
Paul Crawford (psc-sat) wrote :

We now have Firefox 9.0.1 which is good, but why is the system-wide installed versions of AdblockPlus and Flashblock still on incompatible versions?

Of course, firefox then tries to update the versions and fails, as it can't do that locally for system-wide packages.

Can we have these packages updated as well so it works?

Paul Crawford (psc-sat) wrote :

Forgot to add, using 10.04 64-bit LTS.

Paul Crawford (psc-sat) wrote :

I see the status for adblock is "fix released" but my package manager, even when updated just now, still showing the old version.

Is this released only for the 'proposed' updates? If so, why proceed with the main release of the firefox update when the matching packages are not yet ready?

Chris Coulson (chrisccoulson) wrote :

Do you have ubufox installed?

Paul Crawford (psc-sat) wrote :

Yes, I have "ubufox transitional dummy package 0.9.3-0ubuntu0.10.04.3" installed, which I guess is what comes up as "Ubuntu Firefox modifications" in the Tools->Addons->Extensions pane.

Incidentally, is there any way to copy/paste text from the Tools->Addons->Extensions pane?

It appears as if the text is just an image, or has been deliberately blocked. Same applies if you right-click and get the "About" box, no obvious way to copy text.

Chris Coulson (chrisccoulson) wrote :

Do you have anything in <email address hidden> in about:config?

Paul Crawford (psc-sat) wrote :

Yes, it has:

[{"location":"/usr/share/ubufox/extensions","addons":[{"id":"{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}","mtime":1326088947000},{"id":"{3d7eb24f-2740-49df-8937-200b1cc08f8a}","mtime":1326122353000}],"mtime":1327923707000}]

But there is no location '/usr/share/ubufox/extensions' on my system!

The directory ubfox directory has /usr/share/ubufox/plugins/ with a broken symlink 'npwrapper.libflashplayer.so -> /usr/lib/flashplugin-installer/npwrapper.libflashplayer.so' while that target directory has only /usr/lib/flashplugin-installer/libflashplayer.so

Changed in firefox (Ubuntu Lucid):
assignee: Micah Gersten (micahg) → nobody
Changed in gecko-mediaplayer (Ubuntu Lucid):
status: New → Won't Fix
Changed in gecko-mediaplayer (Ubuntu Maverick):
status: New → Won't Fix
Changed in moon (Ubuntu Lucid):
status: New → Won't Fix
Changed in moon (Ubuntu Maverick):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers